## r-cran-mixsqp 0.3

=== DESCRIPTION ===
Encoding: UTF-8
Type: Package
Package: mixsqp
Version: 0.3-43
Date: 2020-05-14
Title: Sequential Quadratic Programming for Fast Maximum-Likelihood
        Estimation of Mixture Proportions
Authors@R: c(person("Youngseok","Kim",role="aut",
                    email="youngseok@uchicago.edu"),
             person("Peter","Carbonetto",role=c("aut","cre"),
                    email="peter.carbonetto@gmail.com"),
             person("Mihai","Anitescu",role="aut"),
             person("Matthew","Stephens",role="aut"),
             person("Jason","Willwerscheid",role="ctb"),
             person("Jean","Morrison",role="ctb"))
URL: https://github.com/stephenslab/mixsqp
BugReports: https://github.com/stephenslab/mixsqp/issues
Depends: R (>= 3.3.0)
Description: Provides an optimization method based on sequential
    quadratic programming (SQP) for maximum likelihood estimation of
    the mixture proportions in a finite mixture model where the
    component densities are known. The algorithm is expected to obtain
    solutions that are at least as accurate as the state-of-the-art
    MOSEK interior-point solver (called by function "KWDual" in the
    'REBayes' package), and they are expected to arrive at solutions
    more quickly when the number of samples is large and the number of
    mixture components is not too large. This implements the "mix-SQP"
    algorithm, with some improvements, described in Y. Kim,
    P. Carbonetto, M. Stephens & M. Anitescu (2020)
    <DOI:10.1080/10618600.2019.1689985>.
License: MIT + file LICENSE
Imports: utils, stats, irlba, Rcpp (>= 0.12.15)
Suggests: REBayes, Rmosek, testthat, knitr, rmarkdown
LinkingTo: Rcpp, RcppArmadillo
LazyData: true
NeedsCompilation: yes
VignetteBuilder: knitr
RoxygenNote: 7.1.0
Packaged: 2020-05-14 12:23:40 UTC; pcarbo
Author: Youngseok Kim [aut],
  Peter Carbonetto [aut, cre],
  Mihai Anitescu [aut],
  Matthew Stephens [aut],
  Jason Willwerscheid [ctb],
  Jean Morrison [ctb]
Maintainer: Peter Carbonetto <peter.carbonetto@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-14 14:20:02 UTC

## r-cran-mixsqp 0.3-43

=== debian/changelog ===
r-cran-mixsqp (0.3-43-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 08:47:06 +0100

r-cran-mixsqp (0.3-43-1) unstable; urgency=medium

  * Initial release (closes: #996585)

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Oct 2021 20:23:03 +0200

=== debian/control ===
Source: r-cran-mixsqp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-irlba,
               r-cran-rcpp,
               r-cran-rcpparmadillo
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mixsqp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mixsqp.git
Homepage: https://cran.r-project.org/package=mixsqp
Rules-Requires-Root: no

Package: r-cran-mixsqp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Quadratic Programming for Estimation of Mixture Proportions
 Provides an optimization method based on sequential
 quadratic programming (SQP) for maximum likelihood estimation of
 the mixture proportions in a finite mixture model where the
 component densities are known. The algorithm is expected to obtain
 solutions that are at least as accurate as the state-of-the-art
 MOSEK interior-point solver (called by function "KWDual" in the
 'REBayes' package), and they are expected to arrive at solutions
 more quickly when the number of samples is large and the number of
 mixture components is not too large. This implements the "mix-SQP"
 algorithm, with some improvements, described in Y. Kim,
 P. Carbonetto, M. Stephens & M. Anitescu (2020)
 <DOI:10.1080/10618600.2019.1689985>.

## r-cran-mixsqp 0.3-48

=== debian/changelog ===
r-cran-mixsqp (0.3-48-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 13:56:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-irlba,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mixsqp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mixsqp.git
 Homepage: https://cran.r-project.org/package=mixsqp

## r-cran-mixsqp 0.3-54

=== debian/changelog ===
r-cran-mixsqp (0.3-54-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 22:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-irlba,
                r-cran-rcpp,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mixsqp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mixsqp.git
 Homepage: https://cran.r-project.org/package=mixsqp

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/mixsqp_([-\d.]*)\.tar\.gz
